Bug 23744 - logging xferlog for guest users should be ON by default
Summary: logging xferlog for guest users should be ON by default
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: wu-ftpd   
(Show other bugs)
Version: 7.1
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-10 22:06 UTC by Arenas Belon, Carlo Marcelo
Modified: 2007-03-27 03:39 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-10 22:13:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Arenas Belon, Carlo Marcelo 2001-01-10 22:06:57 UTC
on /etc/ftpaccess logging should be

  log transfers real,guest,anonymous inbound,outbound

usually all the uploaded/downloaded files from guest users are not recorded
anywhere.
BTW just to make it easier to get chrooted guest users adding :

  guestgroup users

would be a nice touch.., after that a "ftp user" could be added to
linuxconf easily just making it -g 100 on default (like popusers are
created now) and making their home directories end on "./" (ej.
/home/foo/./)

Comment 1 Arenas Belon, Carlo Marcelo 2001-01-10 22:13:28 UTC
after looking at the latest linuxconf seems like now groups 44 (pppusers), 45
(popusers), 46 (slipusers) are being used instead of the old 100 gid.

i guess that a new group would be needed to make chrooted guest users to work on
linuxconf

Comment 2 Bernhard Rosenkraenzer 2001-01-12 13:32:21 UTC
Done


Note You need to log in before you can comment on or make changes to this bug.